
<?php
/**
 * The template includes all of the functions
 *
 *
 * @package NeoBlog
 */

?>


<?php

/***********************************************************************************************/
/* Define Constants */
/***********************************************************************************************/
define('THEMEDIR', get_stylesheet_directory_uri());
define('IMG', THEMEDIR.'/images');






/***********************************************************************************************/
/* Add Menus */
/***********************************************************************************************/

add_action('init', 'register_my_menus');


function register_my_menus() {
	register_nav_menus(array(
		'main-menu' => 'Main Menu'
	));
}



/***********************************************************************************************/
/* Remove the brackets on excerpt */
/***********************************************************************************************/

// Replace the default ellipsis
function trim_excerpt($text) {
     $text = str_replace('[&hellip;]', '...', $text);
     return $text;
    }
add_filter('get_the_excerpt', 'trim_excerpt');




/***********************************************************************************************/
/* Add Theme Support for Post Thumbnails */
/***********************************************************************************************/
if (function_exists('add_theme_support')) {
	add_theme_support('post-thumbnails');
	set_post_thumbnail_size(742, 428);

}



/***********************************************************************************************/
/* Register Sidebar */
/***********************************************************************************************/

register_sidebar( array(
    'id'          => 'main-sidebar',
    'name'        => __( 'Main Sidebar', $text_domain ),
    'description' => __( 'This the main sidebar.', $text_domain ),
 

) );



/***********************************************************************************************/
/* Custom Comments Callback */
/***********************************************************************************************/

  if( get_option('thread_comments') ){
      wp_enqueue_script('comment-reply');

  }


/***********************************************************************************************/
/* Custom Ads Sidebar */
/***********************************************************************************************/


class Ads_Widgets extends WP_Widget
{
  function Ads_Widgets()
  {
    $widget_ops = array('classname' => 'Ads_Widgets', 'description' => 'Displays Ads' );
    $this->WP_Widget('Ads_Widgets', 'Advertisement Widget', $widget_ops);
  }
 
  /** FUNCTION FORM */
  function form($instance)
  {
    $instance = wp_parse_args( (array) $instance, array( 'title' => '' ) );
    $title = $instance['title'];
	 $message	= esc_attr($instance['message']);
	 $link	= esc_attr($instance['link']);
?>
  <p><label for="<?php echo $this->get_field_id('title'); ?>">Title: <input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo attribute_escape($title); ?>" /></label></p>
<p><label for="<?php echo $this->get_field_id('message'); ?>"><?php _e('Advertisement Banner'); ?></label> 
          <textarea rows="4" cols="50" class="widefat"  id="<?php echo $this->get_field_id('message'); ?>" name="<?php echo $this->get_field_name('message'); ?>"><?php echo ($message); ?> </textarea>
		</p>
		<label for="<?php echo $this->get_field_id('link'); ?>"><?php _e('Ads Link'); ?></label> 
          <input class="widefat" id="<?php echo $this->get_field_id('link'); ?>" name="<?php echo $this->get_field_name('link'); ?>" type="text" value="<?php echo $link; ?>" />
        </p>
  <?php
  }
  /** FUNCTION UPDATE */
 
  function update($new_instance, $old_instance)
  {
    $instance = $old_instance;
    $instance['title'] = $new_instance['title'];
    $instance['message'] = $new_instance['message'];
    $instance['link'] = $new_instance['link'];
    return $instance;
  }
  /** FUNCTION WIDGET */
  
    function widget($args, $instance) {	
        extract( $args );
        $title 		= apply_filters('widget_title', $instance['title']);
        $message 	= $instance['message'];
        $link 	= $instance['link'];
        ?>
              <?php echo $before_widget; ?>
                  <?php if ( $title )
                        echo $before_title . $title . $after_title; ?>
							<ul>
								<li><?php echo '<a href="'.$link.'" target="_blank"><img class="img-responsive" src='.$message." '/>"; ?></a></li>
							</ul>
              <?php echo $after_widget; ?>
        <?php
    }
 
}
add_action( 'widgets_init', create_function('', 'return register_widget("Ads_Widgets");') );

?>

